package be.cylab.java.roc;

import java.util.List;

/**
 * Main class.
 */
public final class Main {

    private Main() {

    }

    /**
     * Main method for simple test.
     *
     * @param args
     */
    public static void main(final String[] args) {

        String stored_path = args[0];
        String aggregated_data_path = args[1];
        Roc roc = new Roc(aggregated_data_path);
        System.out.println(roc.computeAUC());

        List<CurveCoordinates> roc_coordinates =
                roc.computeRocPointsAndGenerateCurve("Roc_curve.png");
        Utils.storeRocCoordinatesInCSVFile(roc_coordinates,
                stored_path);

        PRCurve pr = new PRCurve(aggregated_data_path);
        System.out.println("PR AUC with trapezoid : " + pr.computePRAUC());
        pr.computePrcPointsAndGenerateCurve("PR_curve.png");

        double[] long_data = new double[250000];
        double[] long_alert = new double[long_data.length];
        for (int i = 0; i < long_data.length; i++) {
            long_data[i] = Math.random();
            double trig = Math.random();
            if (trig < 0.5) {
                long_alert[i] = 0.0;
            } else {
                long_alert[i] = 1.0;
            }
        }
        Roc long_roc = new Roc(long_data, long_alert);
        System.out.println("Long AUC : "  + long_roc.computeAUC());
        long_roc.computeRocPointsAndGenerateCurve("long_roc.png");

    }
}
