package be.cylab.java.roc;

import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import static org.junit.jupiter.api.Assertions.*;

class UtilsTest {

    List<Point> points;

    @BeforeEach
    void setUp() {
        points = new ArrayList<>();
        Random rnd = new Random(5875);
        for (int i = 0; i < 30; i++) {
            double score = rnd.nextDouble();
            if (rnd.nextDouble() < 0.5) {
                points.add(new Point(score, 0));
            } else {
                points.add(new Point(score, 1));
            }
        }
    }

    @AfterEach
    void tearDown() {
    }

    @Test
    void testCountPositiveExamples() {
        assertEquals(20, Utils.countPositiveExamples(points));
    }

    @Test
    void testCountNegativeExamples() {
        assertEquals(10, Utils.countNegativeExamples(points));
    }
}